package com.qmth.distributed.print.business.service;

import com.qmth.distributed.print.business.bean.dto.professional.MatrixDto;
import com.qmth.distributed.print.business.entity.TPMatrix;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 专业认证毕业要求支撑矩阵 服务类
 * </p>
 *
 * @author xf
 * @since 2024-04-22
 */
public interface TPMatrixService extends IService<TPMatrix> {

    List<MatrixDto> listMatrix(Long professionalId);

    boolean saveMatrix(Long id, Double content);

    void downloadMatrix(Long professionalId, HttpServletResponse response);
}
